Bug 199513 - net/chrony: add CPE information
Summary: net/chrony: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL: https://wiki.freebsd.org/Ports/CPE
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-04-18 09:25 UTC by Jan Beich
Modified: 2015-04-22 11:43 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (masaki)


Attachments
v0 (534 bytes, patch)
2015-04-20 13:29 UTC, Jan Beich
jbeich: maintainer-approval? (masaki)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-04-18 09:25:07 UTC
+++ This bug was initially created as a clone of Bug #199505 +++

NVD provides example CPE string under Configuration 2 in
https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-1821

  $ make -V CPE_STR PORTVERSION=1.31
  cpe:2.3:a:tuxfamily:chrony:1.31:::::freebsd11:x64

  # before ports r362439 (CPE v2.2)
  $ make -V CPE_URI PORTVERSION=1.31
  cpe:/a:tuxfamily:chrony:1.31::~~~freebsd~~

It may help pkg-audit(8) in future to notice vulnerabilities earlier.
Comment 1 Bartek Rutkowski freebsd_committer 2015-04-20 11:58:38 UTC
Jan, havent you forgot to upload a patch?
Comment 2 Jan Beich freebsd_committer 2015-04-20 13:29:46 UTC
Created attachment 155769 [details]
v0

Indeed.
Comment 3 commit-hook freebsd_committer 2015-04-22 11:43:16 UTC
A commit references this bug:

Author: robak
Date: Wed Apr 22 11:43:13 UTC 2015
New revision: 384486
URL: https://svnweb.freebsd.org/changeset/ports/384486

Log:
  net/chrony: add CPE info

  PR:		199513
  Submitted by:	jbeich
  Approved by:	portmgr blanket

Changes:
  head/net/chrony/Makefile
Comment 4 Bartek Rutkowski freebsd_committer 2015-04-22 11:43:39 UTC
Committed, thanks for your work!